from divinegift.cipher import decrypt_str, get_cipher, encrypt_str

cipher_key = b'rKKvXPL7OefUAfscsduYOWdtHHC1V0Mo0n5VgLR19tE='

console_template = b'gAAAAABcboZfNlZvNVawY1ioU_x1o2Y0ueAdKZ9Zzgh8PbD2fKXnD-TCe6KaRWqlZZtEijtMFz9kE8Z-wg1Zt3VntEv6jGjqtycp1CiglGCX7zEyYuNtm2fF9AF02Bk3_33PaqAaPZOxjqNx12QhlT8GkbDDySNcSjUMECbwgcp8vNfUc8_06jJq-x6tGrzpAO3Z9OL1HsDVEu4suyqa_wRjWxCBb6jQI55vSZino8zbKhmaLtjvLsXBM-7_TVWAX6_zSNE7R__3-rc0aP_4OwJ4BMTxqqXlQ1vmPrYRq-2ihWQPKhK7kq2-43RBDqORF383yIbJbJhZlKqOi0ifBxkChxPocQ6JybSrZ47JCTjJUwgA1Bvena3lIuMqM10nZBbqNziACRLBJ_W3SmAFOf0xIG9a6qmmIDRbryHwQojh5lNtEERwBxcJJiq5O29NOCGeFgbUYPdIs8JSsdK56rfVCbMZnP78OyvbVueTfPfet6MeG5OYXI3hr9WHtBEa3VQ44KFfTr48sv5EwiGD7I_aDmEASYSsU20Es2qTnYhxK8yA5Cc1W4uoGvP4TR7kWrC_h4UPLxgNUDiKDR6NTA7rWcG-QPYK_hSxxT8MDD4EiUml_-dFmqrZeD-aqBPBLBicxy3QItNkum81jYDEp2srDD30Z0Zu3zRKSCv2uA5Ea2XbqD8jZzElz1R7HOHyKtwkbN9JtJoCDXiOF_BM9g45wtcik1ZdFZnGn5idVm9CuoEUxhyZeZeXGaDcmeAKc7ZCs73qy4LUqxHORKLab3ZZ_XozLGJIQTtdpOeFN9l8-UpC34NMDqVUuTjte1ncMS3BAED0qID2xDx5FOZaWIjlTn_O2ekhmrBZOJTtnFK--lprewZ97ZIkb7NZnliaryWp6xC6ZPBgYZ5tGfqx4LDtUJAczlKOy6bJpHnWEFNUXUOKCkEFySJgKpUrJtPpb-Ozagu01i-_TrPolKUGGdSzu6krIEdJHy61WxJZ1Tv2FifZlHLLBAHzwXpnI_lq9XA0IUgf7MHatDPwkTNZg4zNjC8pXci0ebIuAPm6X6mj56OxQfza_F66_3zoxJsTTSDlXnI_QDV2CxULpqcDuhlceOUmG5Vsxu-vo_HPsTZL5zVq3d2ces3nJWCVhZcsuRC0qp1x1aKsSx8lAmVVRZR19052N4o_2yOgZZMuC6IdEf6OWYlNyUd9y0BW2sdrE9mRBQEl7UDuIVvfV1JXR7RqsEKKff2IM54JkueWGaLvH15IHfFN4nWj-abCEX1IAu9cQeTuaeodtwfbOwR041_MywLzfHxXSaAdo8sFtzTcJo7_67FEa_VYoCTQxDO02kr0rgEJYxQYmR0nK18BAJjIcY2KELMVs1vDqgFYvIK_R0YoPTwqbyaK9X9bnyITOeCGx60ZZJlcY4NEvwPGCvnpCIW7WTbudotu3XgLQ4U01eKMpd2bGlSNCa5O5qmXeA-BzOzBUr3oxgKLU1ul7ej2R8eQC-pHaJ3uTPmjfjlF16Dg3MfQxMZmnIFWou-aZ7fuYRDIjetsJRIr0oMbSOWb9pdPawxHEIALKX7jQnH3_gA5obpXNj8_CZR1TrSlUIM_8fL2UGr6LFHC5mSNczSKEFabRMl39xizo6RZly1ejcxC-vQB1gIp7ZpayuV2QaQETrX9CZdnWkm1Y5pLBlaFpH7voUyIaJJXu-tP9v9zOYgaadmvd7R3Q4GyVPp7NFOZ4Xb1ktB3l9f8s8IXHDqDF0EINWGyR2d8OYNF21V4D1FwDcqGebC8KkJJ10wdXK0mNraDdvxaNWWuOVA0wtpla9V4BDvZ-whyWQUl4RMxihvEyfpj-Ln0g0OYW8c0dtmc9VzfHEmRJdYb1y3uh-TGNdHc9LhimIAm8I2fNjlSDKlXrrFge50illuR3hFbqxmY51pN9seyVACjzpGeKO5bn3x4OLguveFIgK50U37CT7sNlzfXK8lXV78Rbco7BvQwWtVNjEPMGx3PknoB3HsYVMbLroxpFDbjscwl_WFcWPu0xPuBnhavIeyokmt5kLKFpSFdIj6HUjkdTA5JqDjEuWt2GKE8Mw=='
gui_template = b'gAAAAABcboaocAlVWCmaii2LZuWiKMDq1HNzj7hqJ-cz0queAdt_DVJjffDBEVO_ZaNkpej0xVYUIY3Wf1SSzNaSulu6CMZy--3rhi1B8dwdY-IC7PzmTFt9jF0GXkjsXrdB8jNOGLu1DttOObnZ4Ss4f7qpjCjO4zZQ0zF17KTxU2WAhu3VOjFF4ZKfzQ9pdQalUF_0EK59ozvxgv1R5mEezqXfbjW7gL0gyP38BxZkphqlCPEs84iMqDvYqbtU8fquNmh2UBo_e0pdTDIovz44U0Kuh-19aT2m5_cFqS9LU88pOhloAornV8Ur1SHEnIhxNMHqIDzH7ZyJG0H1CBcSnkvwiz-yBczBwYh7-zWZIp6E5qq4tlAR_qB4pQU2bPV0WQdH0FDdaakB9hoAYAFatkiI0SwkWA5h6eIrpKXumrbu8wqbfoubj1pPwa2Xq8K_KqpdPa7VtpBUveas50P00ubNW2mnPUo433zFS1GV6XBpC4j58GOLYGRyA6hikzVpKUQkXYW_kzH8awrw0oNOjvQZMwPYcaLF_gv_TMsCyRiDhUc9xN_dgFIsemRYQWA5Jyma4YXc5rfWrzl0EK3pDmjX0mE_z17JZL8oR_lvMAFWxM6-Jn16QLNDWjN7YvIgLyzKUT6nebHxYJLtm5jsMKkxUZnEl6m6hqhUz3LGt2rOJsDu6Zl3VbQfGSIXESwDCBRfPxoVfrzrkn93tKushwELqWghygxkLhiWLD2P6TscRnUBuklY7LvPBk0tsS-SoSqvKQPo5VIxuu7ZjuYZzda83HQx7OQ02MjUmYjHFo5RUSoylwQO5_MvfufudPWJczNO-CGNcEqs-DBf9w6HlqJ28XZXpPTb2TYFioUT-ZX-py8jMyp6iSkjIiCCF-juFJPWKUkPk8qIf6L2h5R7C3EyBkCLIuMw_5MtpbQ61jf8JXEeZUJOAixFc6D8yDPMmfV_3L5TG9NKVqqDErrKwdPKjEirgCte1cJi_Id4s3QFc5FVTOLvF8PDU39_TwkdYq-c7FzACCUnkK5RnMo9V6tvHepsS9wgRZHPWlXkBEk-nNnqTtO62QIALlD-ZfxjvcARYvE3wkwey2tOslYQaIRWrzLkQMiUP_kkbX4NVNEQpPTgcjcysV23PyR5lyT1UyzItBl4mdUdwovkosUhVo4H9dk0CWAYWiudZoXI-Z8XhFmz6TEv6Nhuck3sTjj7F9MZNnzJZhdxKctcV8I0SPbF1t16rvgBO_gANWgt3ENHa34n38usha0jrvtGR2iTeZN5yfdFPDdtlmIUt_47rItICHmUXJYoHbs3u0ASHaeHeSsbPgJuzyyjnzJxkrh3wPcU49DvaYdJIG4-LjJmbqH5LXnElMNGa19QrQJMeWBQvWSENpennchsJB10Ou3x00Q0XB8i3uU15EwxKrUkYXrSF2LjBXlU2JsC8XcprcB8yey1x-kkp5jfPwamG2fAd-RvnYkSvLDbp3YJRK9p8ACjqgayQkIEv4gQyqnMdw7cNUcyms-B5vEvRuUz9DEY2nLmwgamTxn-ZSlIV9EMKV4L5kLLjw4bWq2l9We5_ZrBkqGQml1tW0EB4gLI78bQPlcKUI75lFXhMgXBskIdyk_rPBq-xemQjDj128WKMmlnrYjCyetIrvqbOFKHEcmdDeVFZVuJ9K7_htzbS7HDbCXJZZjKJh3zJJ1b5jWNsoexJesdo7cSg_IKX_kIvBc9uZLUZc1MBwKmTM7ou2Ap4QODOkCQPdnEJy93iM3vWdZF_H07j_UCCwXJVwH0xbuw7ZV7rTJ0nHkpSR68WZXH6shraCjUsue0CDoHZXu8D7siA_RtChHAgfD_N0dskww_r6wneXqlocvIy1F8jkrOX6g862SkcnwcCNNVthLfJ95uyNIXtD6Akzn3tN-bqLSiX96TEVGuyG4qAHnyX7p2tDvjKAU2rWeyICRU2UbBuwmtUMNvgQ5KCAwx3mZmJezOB6E2S2QqyCUV3YWwhbhnoRcxyuM5oesPdo2FUAUWd9x2KOx5gV81kgwueOLSBnLLKm0cHBgDsYDg6LK6SLy3KkOhoxrvRjYX2M9z3ZlWClXi43WZ2gECarkY0s94Oh1kfYy1FZ1Jll0p-0gk3B0FOa1rR0iKUC33k7b4QkAvRtEhh97K-OLf9V0dkATaoQpO8POHYjih4FMaY8Y2vtXGt6AaiS1uy7ZuhNaiFhWLlgttxZqpkagXrWN7sCj0e_N3gOw4ygx880VFk6XdXmhjk-36tLike5_-fph4krFtcf915PBcjZpZkLB1bjbAAM-SZgickPwm-5RFG-De2IqIgTx3m5LL4j57-w0s5sSXMkAuopDX8Z0dCGEgCWyPvWSd6sh6ClWfgRVSU8Y9HtCzWqLalWFJivUOvN4juoIDfZ89HH9BeW99WGulXP1fmjxkUR3kbTH8TkfXS-j-1kTEBB1RGyiw29nt-ZE9AtdWpj3MngBZSIqnPJMCJFx3Fjyl3yf2CMIgoyUb4HSnWpMxW4Kb2QyBrs95S0hccmxombTVeutUJXDaz0ZqmLE82pZlKmUWztHIfG2BBkB1fnaMVoqLSutP1aDkSm_fB9Gr7M_2L9Jnx_RoTpDTsVMAsRDM0sv5QP9k7-07dIMjDHgFRQhDVrgJRcB8VBDeuzEqv-kvLP8GjX06iXQHi9QZtbyCaRxoDBc5N02WBWRs5DGGKw0wOBtDw2n9fUtrK1EFd0koa5awfWXHdeVrIUpgkHhKcQtIjwyG1Djjla7tq9uZc0Q0qoFBOKScvhv-XnUkJ5ikmpnWJu6ZL96k2P9ReU9NKD1ZKif-FjAH524Gg1Cum8gyDLSoSg9doeCdwrvU0ZjPE0cLHW8u3TBa35EPz-xZT8ogE5NPaF2pb7PzQkOVGDYgRvPXaqD3NmeXsJDSGPxdscdGd-fry4aVQKpzl3ayb-3V16vmiKAHiHA5_5PDkyqUk2anGZK9WHf4_8yAyLYIyHyhMBbLOfS9PclY1Bf1GA3YKnppjuAAjEfflJSFqiLEsqKxKFDgeNSYJbJdSRaUdkywWIeSnUfZPrCsZKb1zJWpQZ4j-WsiJ3b_g20jhx7NzZs3bD5OT1gzQouOGgwZyRUikB3Y2kub_YkwV-TGMaMMa1JcxfwJ9FSe3HlIWC10nCYSlVr1ZOJbBPCS2R8rRAP0yPU8NG7FYL3AG0Cm4UghWmpU4YJQbPakmBbtR9dlikz4UiZyZJ9Yyjy5kz5oUgZ2hskcZKmjLi_I3mRFob3GDrtEiAPcIc_lS8h4N5DhoTKRgNlUxnm9sIWmSgqGweGMN5n9weBl5PgjaPcm9Zx7Pb8hzg201ce9U_eUvMTaterIk-UH-f58HQF9I4ZFkogeeX23IgAqZNrUglZsf2ADrAm4QZ-bEfuWo5aHKpgiKUmQ9hKR3CxVY8wxPYdBkyfJOgeRUe6sARbNG1ShVFZCslNPiVzVXtqpJObpXy4Rm3_5wtzSKcAVj43MdMa3We3iiJro3KHaw2yunOEhTmqbORkRNyTKg_jg0lnUr9_hsQ7l0hb41CkuMu8BJf_JE_D1PowFAGPFIirg-AlYRQhqEO-DNO5NSdIaLKvs5c2N3iDbaqyYaUS5nfSekr9ixCDg_b_GLuB9hoGafZUxwDx9ipDeYbpkmJ1jrEMPTjkiPBd54jnC_Eka8jwJqThEynDnFkXuEpypCpH3hpX1kdK8AV0tZ2eOyu6W_Y9qr0vAKLSAuw=='
config_template = b'gAAAAABcam4IXxB5tsuLAWqnXGH4PQT0tEg8aU_gusJvhR5xEh56Aim_jjtcXmTz2EBJSM8_RPp_nAJvxEf4baDMtzTsBY95VLY-a6MMTRGSUlVOE4nsD5cgp95iXC6MNRYEGNFxYswTI_O8JZyYfF1bEaVz8ISlLlwFCCSHWqnC3MURYWISTXQ8-GXJAR5FDzPHP0A3nvPcP3b3kY8EPPZIW639cUdHNmQv6tr9zPKE3du5Wfe1tV3aEKIgtSVhwfHmI55ZrQ-cQ7Yrkxh740Y3T17CjYWSARSr9R3iA-YK1L1bKq6MgD8bgIP1Lg6tl9BZ1yyjZk3OZtSJmsbuzup_7RxjYY3fY1wKBDydM3GOL3MrE8nwZ3dehRiZzdQNFaJb0S-eK8qPw25NItQYXA4RPLrBJepU6PyuRCQNx5MReKODp1vWs_Wze7l8LhARMnfrBeYFA5vbfLqCXrdYqcDmOuRNV8uIhuLB5jREBsL9lToTuAuCjia1j9UejZejm4v3YNoztffu'
email_config_template = b'gAAAAABcam4qHlH4MHm2hjQV_XOgRFBTluMpHfiFmdXqGHBEUejBqBzB76elHTgZ2X1NT9ZCQMbk9w9XAJ7ZQEMA6SiX1Px-NMezp7F4HMI31Bia2-sPV5WtlCNJBsUaM8e0q4jMLqklBRy1-_nAkUxE4DVYjWVUvOTPcU1szIWWxFVFzjrS1Wpb8KZXR_vsYXDylTxrv5uwlMscCc_RrFANL3K8L-swbfVramykFcvnYhQHbgsqN_n7_MtQ8mfBpwTz6iNoCIC9'


def create_file(filename, text):
    cipher = get_cipher(cipher_key)
    with open(filename, 'w') as f:
        f.write(decrypt_str(text, cipher))


def create_console(filename='main.py'):
    if not filename.endswith('.py'):
        filename += '.py'
    create_file(filename, console_template)


def create_gui(filename='main_gui.py'):
    if not filename.endswith('.py'):
        filename += '.py'
    create_file(filename, gui_template)


def create_config(filename='settings.conf'):
    create_file(filename, config_template)


def add_email_config(filename='settings.conf'):
    try:
        with open(filename, 'r') as f:
            text = f.read()
        text += ',\n'
    except:
        text = ''
    cipher = get_cipher(cipher_key)
    text += decrypt_str(email_config_template, cipher)
    config_with_email_template = encrypt_str(text, cipher, get_str=False)
    create_file(filename, config_with_email_template)
